<?php

namespace App\Filament\Resources\Certificates\Schemas;

use Filament\Forms\Components\DateTimePicker;
use Filament\Forms\Components\TextInput;
use Filament\Schemas\Schema;

class CertificateForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('user_id')
                    ->required()
                    ->numeric(),
                TextInput::make('course_id')
                    ->required()
                    ->numeric(),
                TextInput::make('exam_attempt_id')
                    ->required()
                    ->numeric(),
                TextInput::make('certificate_code')
                    ->required(),
                DateTimePicker::make('issued_at')
                    ->required(),
            ]);
    }
}
